import type { UmbMediaItemModel } from '../repository/types.js';
import { nothing } from '../../../../external/lit/index.js';
import { UmbLitElement } from '../../../core/lit-element/index.js';
export declare class UmbMediaItemRefElement extends UmbLitElement {
    #private;
    get item(): UmbMediaItemModel | undefined;
    set item(value: UmbMediaItemModel | undefined);
    readonly: boolean;
    standalone: boolean;
    private _editPath;
    private _userHasSectionAccess;
    constructor();
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
}
export { UmbMediaItemRefElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-media-item-ref': UmbMediaItemRefElement;
    }
}
